T3DInterpolator< T > Class Template Referenceabstract
Interpolation

Basic Interpolator type for 3D Data. More...

`#include <mia/3d/interpolator.hh>`

Inheritance diagram for T3DInterpolator< T >:
[legend]

## Public Member Functions

virtual T | operator() (const C3DFVector &x) const =0
virtual | ~T3DInterpolator ()

## Detailed Description

template<typename T>
class T3DInterpolator< T >

Basic Interpolator type for 3D Data.

Template Parameters

  T | data type to be interpolated

Definition at line 40 of file 3d/interpolator.hh.

## Constructor & Destructor Documentation

## ~T3DInterpolator()

template<typename T>

virtual T3DInterpolator< T >::~T3DInterpolator | ( |  | ) |

inline virtual

a virtual destructor is neccessary for some of the interpolators

Definition at line 45 of file 3d/interpolator.hh.

## Member Function Documentation

## operator()()

template<typename T>

virtual T T3DInterpolator< T >::operator() | ( | const C3DFVector & | x | ) | const

pure virtual

Parameters

  x | location of data value to read

Returns
  interpolated value at location x

Implemented in T3DConvoluteInterpolator< T >.

The documentation for this class was generated from the following file:

- 3d/interpolator.hh